Name:		cvsgraph
Version:	1.7.0
Release:	1
Summary:	Create graphs of branches and revisions for files in a CVS repository

Group:		Development/Tools
License:	GPL
URL:		http://www.akhphd.au.dk/~bertho/cvsgraph/
Source0:	http://www.akhphd.au.dk/~bertho/cvsgraph/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gd-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	freetype-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel

%description
CvsGraph is a utility to make a graphical representation of all revisions and
branches of a file in a CVS/RCS repository. It has been inspired by the 'graph'
option in WinCVS.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 cvsgraph $RPM_BUILD_ROOT%{_bindir}/cvsgraph
install -Dpm 644 cvsgraph.conf $RPM_BUILD_ROOT%{_sysconfdir}/cvsgraph.conf
install -Dpm 644 cvsgraph.1 $RPM_BUILD_ROOT%{_mandir}/man1/cvsgraph.1
install -Dpm 644 cvsgraph.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/cvsgraph.conf.5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/cvsgraph.conf
%{_bindir}/cvsgraph
%{_mandir}/man[15]/cvsgraph*.[15]*
%doc ChangeLog contrib/cvsgraphwrapper.php COPYING contrib/mkimage.php README contrib/cvsgraph-httpd.conf
%doc -P contrib/automatic_documentation/

%changelog
* Sun Jul 30 2006 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Streamline the spec with Fedora and goto version 1.7.0
* Sun Jul 30 2006 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Minor bugfix, version number to 1.6.2 (never released)
* Sat Jul 08 2006 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Minor bugfix, version number to 1.6.1
* Tue Dec 18 2005 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Major extension, version number to 1.6.0
* Tue Jun 14 2005 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Minor fixes, version number to 1.5.2
* Thu Oct 23 2004 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Up the version number to 1.5.1 and include contributions
* Thu Aug 15 2004 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Up the version number to 1.5.0
* Thu Aug 05 2004 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Up the version number for upcoming release (never released)
* Mon Jul 19 2004 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Update for version 1.4.1 and fix the version number
* Wed Mar 19 2003 Jason Corley <jason.corley@borland.com>
- Documentation and other aesthetic related fixes
* Mon Mar 17 2003 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Update for version 1.4.0
* Mon Feb 24 2003 Jason Corley <jason.corley@borland.com>
- Initial creation
